/*

    Getr2, iCOM R2 cloning program 
    Copyright (C) 2000  Richard Cochran

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/




// Configuration file for GetR2.  Parameters in this file
// are likely to be modified for different installations.

#define ID_STRING "R2Pepper v1.0"

// NDEBUG for switching off asserts and other debug-only
// code.  Remove this if you're porting to new compiler
// or making drastic changes to code, define it to 1 if
// everything is working ok.  (see <assert.h>)
#define NDEBUG 1


// The following parameters about baud rates and port number
// are only defaults; they may be overridden by command-line
// arguments.

// The default port to use.
#define COM_PORT "COM1"

// dumpdata tells whether to write debugging data to file
#ifndef NDEBUG
#define DUMPDATA 1
#define DATAFILE "r2data.dat"
#endif //ndebug

typedef unsigned char byte;