const int maxDataSize = 40;
const int numDataCmds = 252;

class CIVCommand {
public:
	CIVCommand() {numDataBytes = 0;}
	readFromSerialPort();
	writeToSerialPort();
	readFromVlaskiFile(FILE * fp);
	writeToVlaskiFile(FILE * fp);
	byte cmd;
	byte sub;
	byte data[maxDataSize];
	unsigned int numDataBytes;
};


class CR2DataFile{
public:
	GetFromSerialPort(const char * portName);
	int GetFromVlaskiFile(const char * filename);
	int WriteToVlaskiFile(const char * filename);
	int WriteToSerialPort(const char * portName);
	void Fixup();
	CIVCommand Commands[numDataCmds];
};



#ifndef NDEBUG

int dumpCIVCommand (CIVCommand cmd, int cmdcount);

#endif //NDEBUG